## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-02-26
version: '3'

services:
  bitwarden:
    image: bitwardenrs/server
    restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    ports:
      - 80:80  #  WebUI
    volumes:
      - /volume1/docker/bitwarden/bw-data:/data
    environment:
      - WEBSOCKET_ENABLED: 'true' # Necessaire pour utiliser websockets
      - SIGNUPS_ALLOWED: 'true'   # Mettre faux une fois le 1er utilisateur creer et redemarrer le conteneur
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    network_mode: 'bitwardenrs_network'
    
